Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class EnumDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.EnumDefHelper

public class EnumDefHelper
extends java.lang.Object

Helper class for : EnumDef

Author:
  OpenORB Compiler

Constructor Summary
`EnumDefHelper()`

Method Summary
`static EnumDef` | `extract(Any a)` Extract EnumDef from an any
`static java.lang.String` | `id()` Return the EnumDef IDL ID
`static void` | `insert(Any a, EnumDef t)` Insert EnumDef into an any
`static EnumDef` | `narrow(Object obj)` Narrow CORBA::Object to EnumDef
`static EnumDef` | `read(InputStream istream)` Read EnumDef from a marshalled stream
`static TypeCode` | `type()` Return the EnumDef TypeCode
`static EnumDef` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to EnumDef
`static void` | `write(OutputStream ostream, EnumDef value)` Write EnumDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumDefHelper

    public EnumDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              EnumDef t)

  Insert EnumDef into an any
  Parameters:
    `a` - an any
    `t` - EnumDef value

### extract

    public static EnumDef extract(Any a)

  Extract EnumDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted EnumDef value

### type

    public static TypeCode type()

  Return the EnumDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the EnumDef IDL ID
  Returns:
    an ID

### read

    public static EnumDef read(InputStream istream)

  Read EnumDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed EnumDef value

### write

    public static void write(OutputStream ostream,
                             EnumDef value)

  Write EnumDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - EnumDef value

### narrow

    public static EnumDef narrow(Object obj)

  Narrow CORBA::Object to EnumDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    EnumDef Object

### unchecked_narrow

    public static EnumDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to EnumDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    EnumDef Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD